1. 09 May, 2022 1 commit
  2. 04 May, 2022 4 commits
  3. 02 May, 2022 2 commits
  4. 01 May, 2022 2 commits
  5. 26 Apr, 2022 1 commit
  6. 25 Apr, 2022 1 commit
  7. 22 Apr, 2022 1 commit
  8. 17 Apr, 2022 11 commits
    • drebs's avatar
      Remove unneeded aliases for now · 75b68a7b
      drebs authored
      75b68a7b
    • drebs's avatar
      Consult valid domains from the Schleuder database · c22ccfe3
      drebs authored
      c22ccfe3
    • drebs's avatar
      Avoid APT breaking when installing postfix-pcre · 95ceb343
      drebs authored
      If postfix-pcre is installed before postfix, Puppet may fail with:
      
          Error: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install postfix-pcre' returned 100: Reading package lists...
          Building dependency tree...
          Reading state information...
          Some packages could not be installed. This may mean that you have
          requested an impossible situation or if you are using the unstable
          distribution that some required packages have not yet been created
          or been moved out of Incoming.
          The following information may help to resolve the situation:
          The following packages have unmet dependencies:
           postfix-pcre : Depends: postfix (= 3.4.14-0+deb10u1) but it is not going to be installed
          E: Unable to correct problems, you have held broken packages.
      95ceb343
    • drebs's avatar
      Merge branch 'mail' · 5de7bdfc
      drebs authored
      5de7bdfc
    • drebs's avatar
      3a2a23e7
    • drebs's avatar
      Exclude all hosts starting with 'gitlab-' from ENC · 63d226d7
      drebs authored
      63d226d7
    • drebs's avatar
      Bump version of puppet-server CI image to 1.0.1 · d1ac636b
      drebs authored
      This version of the image has ruby-scanf installed, which is needed to
      avoid the following error when compiling catalogues:
      
          Compiling catalog for profile::puppet::server...
          Error: Could not call 'find' on 'catalog': No content type in http response; cannot parse
          Error: Could not call 'find' on 'catalog': No content type in http response; cannot parse
          Error: Try 'puppet help catalog download' for usage
      d1ac636b
    • drebs's avatar
      Bump version of puppet-server CI image to 1.0.0 · efe9eec2
      drebs authored
      This avoids catalog compilation error caused by lack of augeas-tools
      when compiling the Schleuder profile:
      
          Error: Could not call 'find' on 'catalog': Error 500 on SERVER:
          Server Error: Evaluation Error: Error while evaluating a Resource
          Statement, Evaluation Error: Error while evaluating a Function Call,
          'versioncmp' parameter 'a' expects a String value, got Undef (file:
          /etc/puppet/code/environments/production/modules/augeas/manifests/lens.pp,
          line: 61, column: 24) (file:
          /etc/puppet/code/environments/production/modules/postfix/manifests/augeas.pp,
          line: 7) on node runner-cxbt98ws-project-3137-concurrent-0
      efe9eec2
    • drebs's avatar
      Allow configuration of OpenDKIM in mail profile · 384352f2
      drebs authored
      384352f2
    • drebs's avatar
      Allow configuration of several postfix parameters · 7f9da15e
      drebs authored
      7f9da15e
    • drebs's avatar
      Add Schleuder profile · dd4cbf50
      drebs authored
      dd4cbf50
  9. 14 Apr, 2022 1 commit
  10. 13 Apr, 2022 3 commits
  11. 12 Apr, 2022 1 commit
  12. 10 Apr, 2022 2 commits
  13. 09 Apr, 2022 1 commit
  14. 07 Apr, 2022 4 commits
  15. 20 Mar, 2022 3 commits
    • drebs's avatar
      Fix type of http_endpoint for monitoring services · 458b12f5
      drebs authored
      458b12f5
    • drebs's avatar
      Do not export hostname · ef9531d8
      drebs authored
      This is not used for now and is raising errors in CI:
      
      Error: Evaluation Error: Error while evaluating a Resource Statement, Duplicate declaration: Host[runner-cxbt98ws-project-3137-concurrent-0] is already declared at (file: /etc/puppet/code/environments/production/modules/profile/manifests/network.pp, line: 17); cannot redeclare (file: /etc/puppet/code/environments/production/modules/profile/manifests/network.pp, line: 20) (file: /etc/puppet/code/environments/production/modules/profile/manifests/network.pp, line: 20, column: 3) on node runner-cxbt98ws-project-3137-concurrent-0
      ef9531d8
    • drebs's avatar
      Disable collectd by default · fdd6bdc3
      drebs authored
      fdd6bdc3
  16. 13 Mar, 2022 1 commit
  17. 12 Mar, 2022 1 commit